### Method

# Clutter Transition set_to

#### Declaration [src]

    void
    clutter_transition_set_to (
      ClutterTransition* transition,
      GType value_type,
      ...
    )

#### Description [src]

Sets the final value of the transition.

This is a convenience function that will either create the `ClutterInterval` used by `transition`, or will update it if the `ClutterTransition:interval` is already set.

If `transition` already has a `ClutterTransition:interval` set, then `value` must hold the same type, or a transformable type, as the interval’s `ClutterInterval:value-type` property.

This is a convenience function for the C API; language bindings should use `clutter_transition_set_to_value()` instead.

This method is not directly available to language bindings.

The implementation of this method is provided by `clutter_transition_set_to_value()` in language bindings.

#### Parameters

`value_type`

  Type: `GType`

  The type of the value to set.

`...`

  Type: ``

  The final value.